Written by
List embedding secrets
Lists keys for embedding of the specified workbook.
Request
POST
https://api.datalens.tech/rpc/listEmbeddingSecrets
Headers
|
Name |
Description |
|
x-dl-api-version |
Type: string API version header. Const: Example: |
Body
application/json
{
"workbookId": "example"
}
|
Name |
Description |
|
workbookId |
Type: string ID of the workbook to list its keys for embedding. Example: |
Responses
200 OK
Response
Body
application/json
[
{
"embeddingSecretId": "example",
"title": "example",
"workbookId": "example",
"createdBy": "example",
"createdAt": "example"
}
]
Type: EmbeddingSecret[]
EmbeddingSecret
|
Name |
Description |
|
createdAt |
Type: string Date and time when the key for embedding was created. Example: |
|
createdBy |
Type: string ID of the user who created the key for embedding. Example: |
|
embeddingSecretId |
Type: string Unique identifier of the key for embedding. Example: |
|
title |
Type: string Name of the key for embedding. Example: |
|
workbookId |
Type: string ID of the workbook associated with the key for embedding. Example: |
Example
{
"embeddingSecretId": "example",
"title": "example",
"workbookId": "example",
"createdBy": "example",
"createdAt": "example"
}